#!/bin/sh
#
# Zend products installation script.
#  Copyright 2001 Zend Technologies Ltd. All Rights reserved.
#


INSTALL_DIR=./install
PHP_SCRIPT=install.php
TMPDIR=/tmp/zend-install.$$
export TMPDIR

cleanup ()
{
    if [ ! -z "$TMPDIR" ] && [ -d "$TMPDIR" ] && [ -f "$TMPDIR/ZEND_INSTALL_TMPDIR" ]; then
	rm -rf $TMPDIR
    fi
    stty echo
    clear
    echo
    echo "Installation script was aborted. The process was not completed successfully."
    echo
    exit 1
}

CALLING_SCRIPT=$0
export CALLING_SCRIPT

cd $INSTALL_DIR || exit cannot cd to install directory
if [ ! -f php.ini ]; then
    touch php.ini
fi

trap 'cleanup' 2 15
./php -f $PHP_SCRIPT $@

# end of install.sh
