<?php
define ("LICENSE_HOST", "www.zend.com");
define ("LICENSE_SCRIPT", "ZLR_test.php");
define ("RESPONSE_FILE", "response.txt");
define ("ERROR_FILE", "error.txt");

function write_output($buf, $file)
{
	if (!($fp=fopen($file,"w")))
		return -1;

	fputs ($fp, $buf);
	fclose($fp);
}

function gen_url($host, $exec, $args)
{
	$urlstr = "";
	$urlstr .= "uid=".urlencode($args[0])."&";
	$urlstr .= "pass=".urlencode($args[1])."&";
	$urlstr .= "pid=".urlencode($args[2])."&";
	$urlstr .= "host=".urlencode($args[3])."&";
	
	return ("http://$host/$exec?$urlstr");
}

function gen_license($args)
{
	error_reporting(0);
	set_error_handler("error_handler");
	###################################

	$file = $args[4];
	$err = 0;

	// make sure there's not response.txt file since
	// it's also written to by the error handler, which
	// must open in append mode.
	if (file_exists(RESPONSE_FILE))
		unlink (RESPONSE_FILE);

	$url = gen_url(LICENSE_HOST, LICENSE_SCRIPT, $args);
	if (!($fp = fopen ($url, "r")))
		$err = -1;

	else {
		$buf = "";
		// write response file separately
		$buf .= fgets($fp, 1024);
		$buf .= fgets($fp, 1024);
		if (write_output($buf, RESPONSE_FILE) == -1)
			return -1;

		// write license file (if any)
		$buf = "";
		while (!feof($fp))
			$buf .= fgets($fp, 1024);
		if (write_output($buf, $file) == -1)
			return -1;

		fclose($fp);
	}

	###################################
	restore_error_handler();
	error_reporting(E_ALL);
	return $err;
}

function error_handler($errno, $errstr, $errfile, $errline)
{
	$fp = fopen(RESPONSE_FILE, "a");
	fputs ($fp, "LOCAL ERROR: $errstr in $errfile line: $errline\n");
	fclose($fp);
}
?>
